package com.unis.crk.enums;


/**
 * 结果枚举
 */
public enum ResultEnum {
    /**
     * 操作成功！
     */
    CODE_1(200, "操作成功！"),
    /**
     * 操作失败！
     */
    CODE_2(600, "操作失败！"),
    /**
     * 调用xxx服务失败！
     */
    CODE_3(3, "调用xxx服务失败！"),
    /**
     * 验证码错误或已过期！
     */
    CODE_4(4, "验证码错误或已过期！"),
    /**
     * 获取验证码！
     */
    CODE_12(12, "验证成功！"),
    /**
     * 用户名错误！
     */
    CODE_5(203, "用户名错误！"),
    /**
     * 密码错误！
     */
    CODE_13(203, "密码错误！"),
    /**
     * 账号已存在！
     */
    CODE_6(6, "账号已存在！"),
    /**
     * 该client_id不存在
     */
    CODE_7(200, "该client_id不存在！"),
    /**
     * token已失效或者已经注销登录过了！
     */
    CODE_8(200, "token已失效或者已经注销登录过了！"),

    /**
     * 文件不能为空！
     */
    CODE_9(9, "文件不能为空！"),
    /**
     * 文件格式不正确！
     */
    CODE_10(10, "文件格式不正确！"),
    /**
     * 文件不存在，下载失败！
     */
    CODE_11(11, "文件不存在，下载失败！"),


    /**
     * token无效！
     */
    CODE_401(401, "你的账号已在其它设备登录！"),
    /**
     * 抱歉，您没有访问权限！
     */
    CODE_403(403, "抱歉，您没有访问权限！"),

    /**
     * 请求超时，请稍后再试！
     */
    CODE_504(504, "请求超时，请稍后再试！"),

    /**
     * 服务器神游中！
     */
    CODE_666(666, "服务器神游中！");


    /**
     * 状态码
     */
    private Integer code;

    /**
     * 消息
     */
    private String msg;

    ResultEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}

//    CODE_4(4, "账号或者密码错误！"),
//    CODE_5(5, "图像数据为空！"),
//    CODE_6(6, "图像数据传输异常！"),
//    CODE_7(7, "图片上传大小不能超过5M！"),
//    CODE_8(8, "图片上传格式错误！"),
//    CODE_9(9, "手机号码不能为空！"),
//    CODE_10(10, "短信验证码不能为空！"),
//    CODE_11(11, "短信验证码错误！"),
//    CODE_12(12, "登陆类型不能为空！"),
//    CODE_13(13, "openId不能为空！"),
//    CODE_14(14, "该手机号码已被注册！"),
//    CODE_15(15, "userId不能为空！"),
//    CODE_16(16, "姓名不能为空！"),
//    CODE_17(17, "身份证号码不能为空！"),
//    CODE_18(18, "身份证正面照不能为空！"),
//    CODE_19(19, "身份证反面照不能为空！"),
//    CODE_20(20, "行驶证正面照不能为空！"),
//    CODE_21(21, "行驶证反面照不能为空！"),
//    CODE_22(22, "该用户还没通过审核！"),
//    CODE_23(23, "账号不能为空！"),
//    CODE_24(24, "密码不能为空！"),
//    CODE_25(25, "该账号已被占用！"),
//    CODE_26(26, "参数错误！"),
//    CODE_50(50, "过期时间不能为空！"),